/**
 * Recommended to use 'myket' object for Class Component
 * @date 2/1/2023 - 1:43:34 PM
 *
 * @type {{ connect(rsaKey: string): any; disconnect(): any; purchaseProduct: (sku: string, developerPayload: string) => any; consumePurchase: (purchase: any) => any; queryPurchaseProduct: (querySkuDetails: boolean, moreSkus: {}) => any; }}
 */
declare const myket: {
    connect(rsaKey: string | null | undefined): Promise<String>;
    disconnect(): Promise<void>;
    enableDebugging: (enableDebug: boolean | null | undefined) => any;
    purchaseProduct: (sku: string | null | undefined, developerPayload: string | null | undefined) => Promise<import("./Model").Purchase>;
    consumePurchase: (purchase: import("./Model").Purchase) => Promise<void>;
    queryPurchaseProduct: (querySkuDetails: boolean | null | undefined, moreSkus: string[] | null | undefined) => Promise<import("./Model").Inventory>;
};
/**
 * Recommended to use 'useMyket' for Functional Component
 * @date 2/1/2023 - 1:47:16 PM
 *
 * @export
 * @param {(string | null)} rsaKey - base64 public RSA key provided from myket store panel
 * @returns {{ connect(rsaKey: string): any; disconnect(): any; purchaseProduct: (sku: string, developerPayload: string) => any; consumePurchase: (purchase: any) => any; queryPurchaseProduct: (querySkuDetails: boolean, moreSkus: {}) => any; }}
 */
export declare function useMyket(rsaKey: string | null): {
    connect(rsaKey: string | null | undefined): Promise<String>;
    disconnect(): Promise<void>;
    enableDebugging: (enableDebug: boolean | null | undefined) => any;
    purchaseProduct: (sku: string | null | undefined, developerPayload: string | null | undefined) => Promise<import("./Model").Purchase>;
    consumePurchase: (purchase: import("./Model").Purchase) => Promise<void>;
    queryPurchaseProduct: (querySkuDetails: boolean | null | undefined, moreSkus: string[] | null | undefined) => Promise<import("./Model").Inventory>;
};
export default myket;
